#!/bin/sh
#==============================================================================
# neutrino-jffs2-img2x-local.sh
#==============================================================================

#------------------------------------------------------------------------------
# Get yBuild pathes and variables
#------------------------------------------------------------------------------
yb_home=$HOME/tuxbox/yBuild
. $yb_home/yb_globals.conf
. $yb_home/include/_yb_library.inc.sh
init_variables

#------------------------------------------------------------------------------
# init specific pathes and variables
#------------------------------------------------------------------------------
flashprefix=$1
buildprefix=$2
myfiles=$MYFILESDIR
cdkroot=$DBOX_PREFIX/cdkroot
actual_local_dir=$flashprefix/root-neutrino-jffs2

#------------------------------------------------------------------------------
# lets start
#------------------------------------------------------------------------------
echo "================================================================================"
echo "START LOCAL: $0"
echo "flashprefix=$1 and buildprefix=$2"
echo "================================================================================"
#show_variables
#set -x

#---------------------------------------------------------------------------------
# show directory sizes sorted
#---------------------------------------------------------------------------------
echo "--------------------------------------------------------------------------------"
echo "directory sizes in $actual_local_dir"
echo "--------------------------------------------------------------------------------"
find $actual_local_dir -maxdepth 1 -type d -print | xargs du -sk | sort -rn
echo "--------------------------------------------------------------------------------"

#---------------------------------------------------------------------------------
# rename image
#---------------------------------------------------------------------------------
d=`date +%Y%m%d_%H%M`
mv $flashprefix/neutrino-jffs2.img2x $flashprefix/neutrino-jffs2.img2x.$d.img

#---------------------------------------------------------------------------------
echo "================================================================================"
echo "END LOCAL: $0"
echo "================================================================================"
