#! /bin/bash
# -----------------------------------------------------------------------------------------------------------
# Tuxbox Build & Compiler Helper
# by yjogol (yjogol@online.de)
# $Date: 2007/01/20 11:58:07 $
# $Revision: 1.5 $
# -----------------------------------------------------------------------------------------------------------

# -----------------------------------------------------------------------------------------------------------
# Menu
# -----------------------------------------------------------------------------------------------------------
configureconf_menu()
{
	if [ "$SDEBUG" == "0" ];then
		clear
	fi
	echo "==============================================================================="
	echo "Menu: configure Configuration"
	echo "Version: $yb_version Date: $yb_date"
	echo "-------------------------------------------------------------------------------"
	echo "usage: xf|xy = x=Feature f=flash y=yadd - this toogles the value"
	echo ""
	echo "if/iy - ide.............................Flash: $confide_FLASH YADD: $confide_YADD"
	echo "ef/ey - ext3............................Flash: $confext3_FLASH YADD: $confext3_YADD"
	echo "xf/xy - xfs.............................Flash: $confxfs_FLASH YADD: $confxfs_YADD"
	echo "nf/ny - nfsserver.......................Flash: $confnfsserver_FLASH YADD: $confnfsserver_YADD"
	echo "sf/sy - sambaserver.....................Flash: $confsambaserver_FLASH YADD: $confsambaserver_YADD"
	echo "df/dy - dosfs tools.....................Flash: $confdosfstools_FLASH YADD: $confdosfstools_YADD"
	echo "lf/ly - lirc............................Flash: $conflirc_FLASH YADD: $conflirc_YADD"
	echo "vf/vy - cdkVcInfo.......................Flash: $confcdkVcInfo_FLASH YADD: $confcdkVcInfo_YADD"
	echo "gf/gy - german-keymaps..................Flash: $confgermankeymaps_FLASH YADD: $confgermankeymaps_YADD"
	echo "af/ay - patch before configure (autom.).Flash: $confautopatch_FLASH YADD: $confautopatch_YADD"
	echo "uf/uy - upnp client.....................Flash: $confupnp_FLASH YADD: $confupnp_YADD"
	echo ""
	echo "0     - RootPartitionSize*)..: $ROOTPARTSIZE"
	echo "h    - Update http URL......: $UPDATEHTTPPREFIX"
	echo ""
	echo "    *)..If you don't now what it is, don't change the value!!!"
	echo ""
	echo "b - Back"
	echo "==============================================================================="
	echo "Enter command:"
}

# -----------------------------------------------------------------------------------------------------------
# Menu Loop
# -----------------------------------------------------------------------------------------------------------
configureconf()
{
	configureconf_doquit=false
	while [ "$configureconf_doquit" == "false" ]
	do
		configureconf_menu
		read cmd
		first=${cmd:0:1}
		second=${cmd:1:1}
		setting=""
		case "$first" in
			i)	setting="confide" ;;
			l)	setting="conflirc" ;;
			v)	setting="confcdkVcInfo" ;;
			g)	setting="confgermankeymaps" ;;
			e)	setting="confext3" ;;
			x)	setting="confxfs" ;;
			n)	setting="confnfsserver" ;;
			s)	setting="confsambaserver" ;;
			d)	setting="confdosfstools" ;;
			a)	setting="confautopatch" ;;
			u)	setting="confupnp" ;;
			0)	config_editvariable "ROOTPARTSIZE" "0x600000" "RootPartitionSize" ;;
			h)	config_editvariable "UPDATEHTTPPREFIX" "" "Update http URL" ;;
			b)	configureconf_doquit="true" ;;
		esac
		echo "seting=$setting"
		if [ "$setting" != "" ]; then
			if [ "$second" == "y" ]; then
				config_togglevariable "$setting"_YADD
			fi
			if [ "$second" == "f" ]; then
				config_togglevariable "$setting"_FLASH
			fi
		fi
	done
}
